#
# spec file for package sca-appliance-patdev
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define sca_common sca
%define sca_webdir /srv/www/htdocs/%{sca_common}
%define sca_configdir %{_sysconfdir}/%{sca_common}

Name:           sca-appliance-patdev
Version:        1.3.1
Release:        1.12
Summary:        Supportconfig Analysis Appliance Pattern Development
License:        GPL-2.0-only
Group:          System/Monitoring
URL:            https://github.com/g23guy/sca-appliance-patdev
Source:         %{name}-%{version}.tar.gz
Requires:       sca-appliance-common
Requires:       sca-patterns-base
BuildArch:      noarch

%description
The SCA Appliance allows for adding custom patterns. This package
provides a database used to create pattern templates, speeding up
custom pattern development.

See %{_docdir}/sca-appliance-common/COPYING.GPLv2

%prep
%setup -q

%build
gzip -9f man/*1
gzip -9f man/*5
gzip -9f man/*8

%install
pwd;ls -la
mkdir -p %{buildroot}%{sca_configdir}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_bindir}
install -d %{buildroot}%{sca_webdir}/docs-python
install -d %{buildroot}%{_mandir}/man1
install -d %{buildroot}%{_mandir}/man5
install -d %{buildroot}%{_mandir}/man8
install -d %{buildroot}%{_docdir}/%{name}
install -m 644 config/*.conf %{buildroot}%{sca_configdir}
install -m 644 config/* %{buildroot}%{_docdir}/%{name}
install -m 555 bin/pat %{buildroot}%{_bindir}
install -m 544 bin/sdpdb %{buildroot}%{_sbindir}
install -m 544 bin/setup-sdp %{buildroot}%{_sbindir}
install -m 644 docs-python/* %{buildroot}%{sca_webdir}/docs-python
install -m 644 websdp/* %{buildroot}%{sca_webdir}
install -m 400 websdp/sdp-config.php %{buildroot}%{sca_webdir}
install -m 644 schema/* %{buildroot}%{_docdir}/%{name}
install -m 644 docs/README* %{buildroot}%{_docdir}/%{name}
install -m 644 man/*.1.gz %{buildroot}%{_mandir}/man1
install -m 644 man/*.5.gz %{buildroot}%{_mandir}/man5
install -m 644 man/*.8.gz %{buildroot}%{_mandir}/man8

%files
%defattr(-,root,root)
%dir %{_docdir}/%{name}
%dir %attr(-,wwwrun,www) %{sca_webdir}
%dir %attr(-,wwwrun,www) %{sca_webdir}/docs-python
%dir %{sca_configdir}
%{_sbindir}/sdpdb
%{_sbindir}/setup-sdp
%{_bindir}/pat
%config %{sca_configdir}/sdp.conf
%doc %{_mandir}/man1/*
%doc %{_mandir}/man5/*
%doc %{_mandir}/man8/*
%attr(-,wwwrun,www) %{sca_webdir}/*
%doc %{_docdir}/%{name}/*

%changelog
* Fri Mar 12 2021 jason.record@suse.com
- Removed references to Novell (bsc#1183471)
* Mon Dec 18 2017 jason.record@suse.com
- Updated spec file with spec-cleaner suggestions
- Removed COPYING.GPLv2
- Updated schema location
* Fri Jun  2 2017 jason.record@suse.com
- Fixed incorrect SLE12SP2 global library value (bsc#1042515)
* Fri Jun  2 2017 jason.record@suse.com
- Added new libraries to docs-python.html
- Updated Python library documentation
- Added MPIO, oes and suma library documentation
* Fri Nov  7 2014 jrecord@suse.com
- Added SUMA class for SUSE Manager patterns
* Wed Sep 24 2014 jrecord@suse.com
- Updated Python library documenation, includes PatchInfo class
* Fri Jul 25 2014 jrecord@suse.com
- Added DOS file format detect to pat
* Tue Jul 22 2014 jrecord@suse.com
- Correct online documentation
- Fixed pat tester output error detection
* Fri Jul  4 2014 jrecord@suse.com
- Updated man pages
* Mon Jun 30 2014 jrecord@suse.com
- Company and email domain are configurable at install (bnc#885061)
* Tue Jun 17 2014 jrecord@suse.com
- Updated Python documentation
- Removed unnecessary python libraries from template generator
* Fri Jun 13 2014 jrecord@suse.com
- Fixed no login requirement
* Wed Jun 11 2014 jrecord@suse.com
- Updated Python library documention files
- No login required for pattern development
- Fixed header lines
- Separated module list for better debugging in template-python.php
* Mon May 19 2014 jrecord@suse.com
- Fixed empty query error template-generator.php
- Fixed missing title in pattern-edit.php
* Fri May 16 2014 jrecord@suse.com
- Fixed SQL injection vulnerabilities (bnc#876240)
- Fixed login and timeout (bnc#876919)
* Mon May 12 2014 jrecord@suse.com
- Fixed connection errors
- Fixed build errors for common directory
- Added login using web-config.php credentials
- Converted mysql PHP calls to mysqli (bnc#876918)
- Added string escapes
* Tue Apr 22 2014 jrecord@suse.com
- Removed clear screen and -c
* Wed Mar 19 2014 jrecord@suse.com
- Moved man pages 1 to 8
- Moved /var/archives to /var/log/archives per suse-filelist-forbidden-fhs23
* Thu Mar 13 2014 jrecord@suse.com
- Removed package ownership of /var/tmp/sca
- Updated copyright FSF reference
- Change to System/Monitoring spec Group
* Wed Mar  5 2014 jrecord@suse.com
- Updated python template
- Updated python documentation
* Tue Mar  4 2014 jrecord@suse.com
- Added IGNORE status count to pat
- pat displays library directories
* Sat Feb  8 2014 jrecord@suse.com
- Packaged COPYING.GPLv2
* Fri Jan 31 2014 jrecord@suse.com
- updated help-sdp.html docs
- fixed python template generator dumping array
* Wed Jan 22 2014 jrecord@suse.com
- commented out debug statements to avoid xss
* Fri Jan 17 2014 jrecord@suse.com
- updated paths
- relocated files according to FHS
* Mon Jan 13 2014 jrecord@suse.com
- pat displays SPRSRC
- pat vars SPRSRC and DEFAULT_ARCHDIR can be set in the environment
* Wed Jan  8 2014 jrecord@suse.com
- sdpdb man page has correct name
- binaries installed in correct locations
- fixed hash plings in template php pages
* Fri Jan  3 2014 jrecord@suse.com
- added pat documentation
- added pat pattern tester
- separated sca-appliance-common files
* Fri Dec 20 2013 jrecord@suse.com
- separated as individual RPM package
